php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #12515 PHP-Compilation sucks: php_mnogo.h:76: Floating point numbers not allowed in #i
Submitted: 2001-08-01 11:39 UTC Modified: 2001-08-15 03:08 UTC
From: stefan dot kaifer at hartmann-online dot de Assigned:
Status: Not a bug Package: mnoGoSearch related
PHP Version: 4.0.6 OS: Suse Linux 7.2, Kernel 2.4.x
Private report: No CVE-ID: None
View Add Comment Developer Edit
Anyone can comment on a bug. Have a simpler test case? Does it work for you on a different platform? Let us know!
Just going to say 'Me too!'? Don't clutter the database with that please !
Your email address:
MUST BE VALID
Solve the problem:
33 - 33 = ?
Subscribe to this entry?

 
 [2001-08-01 11:39 UTC] stefan dot kaifer at hartmann-online dot de
Hi, 

I can't compile my PHP 4.0.6+Apache 1.3.20 with mnogosearch support. I get the follow?ng error: 

###################################################################### 
/main -I/usr/local/src/php-4.0.6 -I/usr/local/apache/1.3.20/include -I/usr/local/src/php-4.0.6/Zend -I/usr/local/openssl/current/include -I/usr/include/freetype -I/usr/local/mnoGoSearch/current/include -I/usr/local/mysql/current/include/mysql -I/usr/lib/db2/db2inst1/sqllib/include -I/usr/local/lib/libswf/include -I/usr/local/src/php-4.0.6/ext/xml/expat/xmltok -I/usr/local/src/php-4.0.6/ext/xml/expat/xmlparse -I/usr/local/src/php-4.0.6/TSRM -DLINUX=22 -DDEV_RANDOM=/dev/random -DMOD_SSL=208104 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2 -c internal_functions.c 
In file included from internal_functions.c:37: 
/usr/local/src/php-4.0.6/ext/mnogosearch/php_mnogo.h:76: Floating point numbers not allowed in #if expressions 
In file included from /usr/lib/db2/db2inst1/sqllib/include/sqlcli1.h:42, 
from /usr/local/src/php-4.0.6/ext/odbc/php_odbc.h:170, 
from internal_functions.c:39: 
/usr/lib/db2/db2inst1/sqllib/include/sqlcli.h:718: warning: `ODBCVER' redefined 
/usr/local/src/php-4.0.6/ext/odbc/php_odbc.h:27: warning: this is the location of the previous definition 
make[2]: *** [internal_functions.lo] Error 1 
make[2]: Leaving directory `/usr/local/src/php-4.0.6/main' 
make[1]: *** [all-recursive] Error 1 
make[1]: Leaving directory `/usr/local/src/php-4.0.6/main' 
make: *** [all-recursive] Error 1 
##################################################################### 


Without mnogosearch support I can compile Apache with PHP. 
I have mnogosearch 3.2.0.b0. 

Can somebody help me? 

Thanks 

Stefan 

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-08-01 13:49 UTC] sniper@php.net
A development version of Mnogosearch won't work with PHP 4.0.6..you should use the 3.1.3.5 version instead.

--Jani

 [2001-08-15 03:08 UTC] gluke@php.net
To be more exact i can tell that i will update mnogosearch php extenstion after release of mnogosearch-3.2.x, because of its fast API changes.
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Mon Sep 20 08:03:36 2021 UTC